Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class PlatformTypeInfo

    java.lang.Object
      net.hyperic.hq.product.TypeInfo
          net.hyperic.hq.product.PlatformTypeInfo

public class PlatformTypeInfo
extends TypeInfo

Field Summary

Fields inherited from class net.hyperic.hq.product.TypeInfo
`TYPE_PLATFORM, TYPE_SERVER, TYPE_SERVICE`

Constructor Summary
`PlatformTypeInfo()`
`PlatformTypeInfo(java.lang.String name)`

Method Summary
`int` | `getType()`
`boolean` | `isDevice()`
`void` | `setDevice(boolean isDevice)`
`java.lang.String` | `toString()`

Methods inherited from class net.hyperic.hq.product.TypeInfo
`equals, formatName, getFormattedName, getName, getPlatformTypes, getVersion, isServer, isServer, isService, isService, isUnixPlatform, isVersion, isWin32Platform, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformTypeInfo

    public PlatformTypeInfo()

### PlatformTypeInfo

    public PlatformTypeInfo(java.lang.String name)

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in class `TypeInfo`

### toString

    public java.lang.String toString()

### isDevice

    public boolean isDevice()

### setDevice

    public void setDevice(boolean isDevice)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.